<?php
/**
* Template Name: Full width Page
 * @package WordPress
 * @subpackage airnews
 * @since 1.0.0
 */
get_header(); ?>

<?php get_template_part( 'template-parts/breadcrumb' ); ?>
<!-- - - - - - - - - - - - - - Content - - - - - - - - - - - - - - - - -->

<div id="content" class="page-offset-1">
    <div class="container">
        <?php  if ( have_posts() ) : the_post(); ?>
            <div class="row">
                <!-- Main content -->
                <main id="main" class="col-md-12">
                    <!-- Post area items -->
                    <div class="post-area item-style-2 flex-list-section meta-left item-separator-left">
                        <!-- Post item -->
                        <article class="post-item post-about flex-columns-1 no-separator">
                            <?php if ( has_post_thumbnail() ) : ?>
                                <div class="post-thumbnail">
                                    <div class="caption">
                                        <?php the_post_thumbnail(); ?>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="entry-header">
                                <h3 class="entry-title"><a><?php the_title(); ?></a></h3>
                                <div class="entry-summary">
                                    <?php the_content(); ?>
                                </div>
                            </div>
                            <?php wp_link_pages(); ?>
                        </article>
                    </div>
                    <div class="row">
                        <?php if ( comments_open() ): ?>
                            <div class="col-xs-2"></div>
                            <div class="col-xs-8">
                                <div class="dash-bord">
                                    <?php  comments_template();  ?>
                                </div>
                            </div>
                            <div class="col-xs-2"></div>
                        <?php endif; ?>
                    </div>
                </main>

            </div>
        <?php endif;?>   
    </div>

</div>
<!-- - - - - - - - - - - - - end Content - - - - - - - - - - - - - - - -->
<?php get_footer(); ?>