<!DOCTYPE html>
<!--[if IE 9 ]><html class="ie9" lang="en"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>

  <!-- Basic Page Needs
  ================================================== -->

  <meta name="format-detection" content="telephone=no" />
 <meta charset="<?php bloginfo( 'charset' ); ?>">

  <!-- Mobile Specific Metas
  ================================================== -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

  <?php if( is_singular() && pings_open( get_queried_object() ) ): ?>
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <?php endif; ?>

  <!-- CSS
  ================================================== -->
  <?php wp_head();?>

</head>


<body <?php body_class(); ?> >
  <!-- - - - - - - - - - - - - - Wrapper - - - - - - - - - - - - - - - - -->
 <?php
 if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} else {
    do_action( 'wp_body_open' );
}
?>
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'airnews' ); ?></a>

  <div id="wrapper" class="wrapper-container">

    <!-- - - - - - - - - - - - - Mobile Menu - - - - - - - - - - - - - - -->

    <nav id="mobile-advanced" class="mobile-advanced"></nav>

    <!-- - - - - - - - - - - - - - Header - - - - - - - - - - - - - - - - -->

    <header id="header" class="header-one">      
      <!-- top-header -->
      <div class="top-header">    
        <div class="container">
          <div class="row">    
            <div class="col-lg-9">
              <!--main menu-->      
              <div class="menu-holder">
        
                <div class="menu-wrap">
        
                  <div class="nav-item">
                    <!-- - - - - - - - - - - - - - Navigation - - - - - - - - - - - - - - - - -->
                    <nav id="site-navigation" class="main-navigation">
                      <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i></button>
                        <?php
                          wp_nav_menu( array(
                              'theme_location' => 'primary',
                              'menu_id'        => 'primary-menu',
                              
                          ) );
                          ?>
                    </nav>      
                    <!-- - - - - - - - - - - - - end Navigation - - - - - - - - - - - - - - - -->
                  </div>
        
                </div>
        
              </div>  
            </div>  
            <div class="col-lg-3">
              <!--socials & search-->      
              <div class="head-soc-secion">  
                <?php
                  $thmeg_header_social = get_theme_mod('header_button_social_onoff','off');
                  if( $thmeg_header_social == 'on' ) : ?>    
                    <div class="social-icon-list">
                      <ul>
                        <?php $airnews_social_link_icon = array( 'fa-facebook', 'fa-twitter', 'fa-instagram', 'fa-linkedin' );
                           for ($i=1; $i <=4 ; $i++) :
                            $airnews_header_bar_social_link   = get_theme_mod('header_bar_social_link_'.$i, '' );
                            if ( !empty( $airnews_header_bar_social_link ) ) : ?>
                              <li>
                                <a href="<?php echo esc_url( $airnews_header_bar_social_link ); ?>" ><i class="fa <?php echo esc_attr( $airnews_social_link_icon[$i-1] ); ?>"></i></a>
                              </li>                          
                            <?php endif;
                        endfor; ?> 
                      </ul>
                    </div>
                <?php endif; ?>                  
              </div> 
            </div>
          </div>  
        </div>    
      </div>
      <?php get_template_part( 'template-parts/front-parts/front', 'home' ); ?>
    </header>
  <!-- - - - - - - - - - - - - end Header - - - - - - - - - - - - - - - -->